Loading...
Searching...
No Matches
error.h File Reference
`#include "../rapidjson.h"`

Go to the source code of this file.

## Classes

struct | rapidjson::ParseResult
| Result of parsing (wraps ParseErrorCode) More...

## Namespaces

namespace | rapidjson
| main RapidJSON namespace

## Macros

#define | RAPIDJSON_ERROR_CHARTYPE char
| Character type of error messages.
#define | RAPIDJSON_ERROR_STRING(x) x
| Macro for converting string literial to RAPIDJSON_ERROR_CHARTYPE[].

## Typedefs

typedef const RAPIDJSON_ERROR_CHARTYPE *(* | rapidjson::GetParseErrorFunc) (ParseErrorCode)
| Function pointer type of GetParseError().

## Enumerations

enum

rapidjson::ParseErrorCode {
rapidjson::kParseErrorNone = 0 , rapidjson::kParseErrorDocumentEmpty , rapidjson::kParseErrorDocumentRootNotSingular , rapidjson::kParseErrorValueInvalid ,
rapidjson::kParseErrorObjectMissName , rapidjson::kParseErrorObjectMissColon , rapidjson::kParseErrorObjectMissCommaOrCurlyBracket , rapidjson::kParseErrorArrayMissCommaOrSquareBracket ,
rapidjson::kParseErrorStringUnicodeEscapeInvalidHex , rapidjson::kParseErrorStringUnicodeSurrogateInvalid , rapidjson::kParseErrorStringEscapeInvalid , rapidjson::kParseErrorStringMissQuotationMark ,
rapidjson::kParseErrorStringInvalidEncoding , rapidjson::kParseErrorNumberTooBig , rapidjson::kParseErrorNumberMissFraction , rapidjson::kParseErrorNumberMissExponent ,
rapidjson::kParseErrorTermination , rapidjson::kParseErrorUnspecificSyntaxError
}

| Error code of parsing. More...